package cd.casic.ci.process.dal.req.resource;

import cd.casic.framework.commons.pojo.PageParam;
import lombok.Data;

import java.util.List;

@Data
public class ResourceQueryReq extends PageParam {
    /**
     * 主键id
     */
    private String id;

    private List<String> idList;

    /**
     * 资源类型 docker, k8s, machine,cloud
     */
    private String resourceType;

    /**
     * 其他资源表 ID
     */
    private String resourceId;

    /**
     * 资源名称
     */
    private String resourceName;


    /**
     * 创建人用户id
     */
    private String creator;
}
