package cd.casic.ci.process.process.converter;

import cd.casic.ci.process.dal.resp.resource.ResourceFindResp;
import cd.casic.ci.process.process.dataObject.resource.PipResourceTemp;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * @author HopeLi
 * @version v1.0
 * @ClassName PipelineConverter
 * @Date: 2025/5/13 14:39
 * @Description:
 */
@Mapper(componentModel = "spring")
public interface ResourceConverter {
    ResourceConverter INSTANCE = Mappers.getMapper(ResourceConverter.class);

    ResourceFindResp toBean(PipResourceTemp req);
    List<ResourceFindResp> toRespList(List<PipResourceTemp> pipResourceTemps);

}
