package cd.casic.ci.process.dal.req.resource;

import cd.casic.ci.process.process.dataObject.resource.PipResourceCloud;
import cd.casic.ci.process.process.dataObject.resource.PipResourceK8S;
import cd.casic.ci.process.process.dataObject.resource.PipResourceMachine;
import cd.casic.ci.process.process.dataObject.resource.PipelineDockerEndpoint;
import lombok.Data;

@Data
public class ResourceReq {
    private String id;
    /**
     * 资源类型 docker, k8s, machine,cloud
     */
    private String resourceType;

    /**
     * 其他资源表 ID
     */
    private String resourceId;

    /**
     * 资源名称
     */
    private String resourceName;

    private PipResourceMachine resourceMachine;

    private PipelineDockerEndpoint dockerEndpoint;

    private PipResourceK8S pipResourceK8S;

    private PipResourceCloud pipResourceCloud;
}
