package cd.casic.ci.process.dal.resp.resource;

import cd.casic.ci.process.process.dataObject.resource.PipResourceK8S;
import cd.casic.ci.process.process.dataObject.resource.PipResourceMachine;
import cd.casic.ci.process.process.dataObject.resource.PipelineDockerEndpoint;
import lombok.Data;

@Data
public class ResourceResp {
    /**
     * 主键id
     */
    private String id;

    /**
     * 资源类型 docker, k8s, machine
     */
    private String resourceType;

    /**
     * 其他资源表 ID
     */
    private String resourceId;

    /**
     * 资源名称
     */
    private String resourceName;

    //创建人id
    private String creator;

    //创建人姓名
    private String creatorName;

    //最后修改人id
    private String updater;

    //最后修改人姓名
    private String updaterName;

    private String remark;

    private PipResourceMachine resourceMachine;

    private PipelineDockerEndpoint dockerEndpoint;

    private PipResourceK8S pipResourceK8S;

}
