package cd.casic.ci.process.process.dataObject.resource;

import cd.casic.ci.process.process.dataObject.base.PipBaseElement;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @ClassName PipResourceTmp
 * @Author hopeli
 * @Date 2025/31 21:40
 * @Version 1.0
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class PipResourceTemp extends PipBaseElement {
    /**
     * 资源类型 docker, k8s, machine
     */
    private String resourceType;

    /**
     * 其他资源表 ID
     */
    private String resourceId;

    /**
     * 资源名称
     */
    private String resourceName;
}
